%global _hardened_build 1

%define current_version 7.0.5
%define _incdir /usr/include/vz
%define _sampledir /usr/share/libvzsock/samples


Summary: Virtuozzo transport API library
Name: libvzsock
Version: %{current_version}
Release:        1%{?dist}
License: LGPLv2.1
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl
ExclusiveArch: x86_64

%description
Virtuozzo transport API library

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{version}

%build
# Makefile defined -O0, let's keep it
make CFLAGS="-fPIC $RPM_OPT_FLAGS -O0"

%install
make install DESTDIR=$RPM_BUILD_ROOT
# generate test private key and certificate
openssl genrsa > $RPM_BUILD_ROOT/%{_sampledir}/test.key
openssl req -new -key $RPM_BUILD_ROOT/%{_sampledir}/test.key -x509 -days 365 -subj /C=RU/ST=Moscow/L=Moscow/O=Company/OU=LinuxDev/CN=User/ -out $RPM_BUILD_ROOT/%{_sampledir}/test.crt -set_serial 0
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-devel-%{version}
install -m 644 COPYING %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 COPYING %{buildroot}%{_docdir}/%{name}-devel-%{version}/
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%{name}.so.*
%{_docdir}/%{name}-%{version}

%package devel
Summary: Virtuozzo transport API development library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Virtuozzo transport API development library

%files devel
%defattr(-,root,root)
%dir %{_incdir}
%dir %{_sampledir}
%{_libdir}/%{name}.so
%{_libdir}/%{name}.a
%{_incdir}/*.h
%attr(644,root,root) %{_sampledir}/*
%{_docdir}/%{name}-devel-%{version}

%changelog

* Tue Dec 15 2020 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.4
 - add targets.list to build package for vz8 #PSBM-123731

* Thu May 25 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.3-2
- Enable hardened build, see #PSBM-58107

* Tue Mar 07 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.3
 - Drop branding from tests, see #PSBM-58317

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.2-2
- Rebuild in 7.3 environment

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.2
 - Switch main source git repo to src.openvz
 - Change PRODUCT_NAME in spec, see #PSBM-47948

* Tue Oct 27 2015 Nikita Spiridonov <nspiridonov@odin.com> 6.1.3
 - Add VZSOCK_DATA_BLOCKING data type, #PSBM-40035
 - Add VZSOCK_DATA_FDSOCK data type, #PSBM-40035

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 6.1.2
 - Added license text #PSBM-26806
 - License changed to LGPLv2.1 #PSBM-26806

* Wed Apr 08 2015 Daniil Guzanov <dguzanov@odin.com> 6.1.1
 - deleted spec: #PSBM-32811
 - util.c: handle EINTR for select()/read() migration failed with  'Interrupted
system call' (Igor Sukhih <igor@parallels.com>)

* Wed Mar  2 2011 krasnov@parallels.com 5.0.0-3
- to close stderr on ssh open_conn() method
  (https://jira.sw.ru:9443/browse/PSBM-6926)

* Tue Jan 25 2011 krasnov@parallels.com 5.0.0-2
- close unused descriptors in child on ssh open_conn()

* Mon Mar 22 2010 krasnov@parallels.com 4.6.0-2
- IPv6 support for socket was added

* Sat Mar 21 2009 krasnov@parallels.com 4.0.0-3
- _accept() for socket fixed

* Wed Dec 10 2008 krasnov@parallels.com 4.0.0-2
- some functions added
- ##131684,131685,131686 fixed 

* Tue Aug  5 2008 krasnov@parallels.com  4.0.0-1
- initial packaging
